petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetRowMinAbs

Gets the minimum value (in absolute value) of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowMinAbs(Mat mat,Vec v,PetscInt idx[])

Logically Collective on Mat and Vec Many br

### Input Parameters

mat -the matrix Many br

### Output Parameter

| v | - the vector for storing the minimums Many br
| idx | - the indices of the column found for each row (or NULL if not needed) Many br

Many br

Notes: if a row is completely empty or has only 0.0 values then the idx[] value for that Many brrow is 0 (the first column). Many br

This code is only implemented for a couple of matrix formats. Many br

### See Also

MatGetDiagonal(), MatGetSubMatrices(), MatGetSubmatrix(), MatGetRowMax(), MatGetRowMaxAbs(), MatGetRowMin()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html